
#include "strings.h"
#include <varargs.h>

#ifndef _INC_STRING_SUPPORT
#define _INC_STRING_SUPPORT


extern String strGetUsername();
extern String strGetMachineName();
extern String strGetEnvVar(char *var);
extern String strGetCurrentTime();
extern String strCmdLine(int argc, char **argv);
extern String strNewComment(int argc, char **argv, char **envp,
			    String prev, String extra);

/* extern String strPrintF(String str, char *fmt, va_list args) */
extern String strPrintF();		     /* allocate if str == NULLSTRING */



/* be sure strCmdLine() handles all non-print  chars correctly */
/* eventually want %S: String  for strPrintF(), nice to have strScanF() too*/


#endif 
